Back to Lesson 2 - Tutorial main page - Algorithm-Based - Component-Based page - Programming hints - EO documentation

# binary_value.h

`#include <eo>` `//-----------------------------------------------------------------------------` `/** Just a simple function that takes binary value of a chromosome and sets` `the fitnes.` `@param _chrom A binary chromosome` `*/`

`double binary_value(const vector<bool>& _chrom)` `{` `double sum = 0;` `for (unsigned i = 0; i < _chrom.size(); i++)` `sum += _chrom[i];` `return sum;` `}`

Back to Lesson 2 - Tutorial main page - Algorithm-Based - Component-Based page - Programming hints - EO documentation

Last modified: Wed Nov 29 09:03:09 2000